Hooks:PostHook(WeaponTweakData, "init", "lore_init", function(self, tweak_data)
	
	local difficulty = Global.game_settings and Global.game_settings.difficulty or Global.DEFAULT_DIFFICULTY
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	
	--i am not surprised things are tanky.
	--what am i doing with my life modding raid ww2 at 6 in the morning this game is fucking dead why am i doing this
	self.mosin.headshot_multiplier = 6
	self.lee_enfield.headshot_multiplier = 6
	self.kar_98k.headshot_multiplier = 6
	self.m1903.headshot_multiplier = 6
	self.mg42.headshot_multiplier = 6
	self.bren.headshot_multiplier = 6
	self.dp28.headshot_multiplier = 6
	self.m1918.headshot_multiplier = 6
	self.mp44.headshot_multiplier = 6
	self.garand.headshot_multiplier = 6
	self.carbine.headshot_multiplier = 6
	self.sterling.headshot_multiplier = 6
	self.mp38.headshot_multiplier = 6
	self.thompson.headshot_multiplier = 6
	self.sten.headshot_multiplier = 6
	self.geco.headshot_multiplier = 6
	self.shotty.headshot_multiplier = 6
	self.welrod.headshot_multiplier = 6
	self.browning.headshot_multiplier = 6
	self.ithaca.headshot_multiplier = 6
	self.m1912.headshot_multiplier = 6
	self.m1911.headshot_multiplier = 6
	self.webley.headshot_multiplier = 6
	self.tt33.headshot_multiplier = 6
	self.c96.headshot_multiplier = 6

	--npc weapons
	self.ger_kar98_npc.DAMAGE = 5
	self.ger_mp38_npc.DAMAGE = 4
	self.ger_geco_npc.DAMAGE = 10
	self.ger_stg44_npc.DAMAGE = 6
	self.ger_luger_npc.DAMAGE = 2
	self.ger_geco_npc.rays = 12
	
	self.m42_flammenwerfer_npc.spread = 1		
	self.m42_flammenwerfer_npc.DAMAGE = 2
	self.m42_flammenwerfer_npc.fire_dot_data = {
		dot_trigger_chance = 10,
		dot_damage = 1,
		dot_length = 3.1,
		dot_trigger_max_distance = 2000,
		dot_tick_period = 0.5
	}
	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.25
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.25
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.12
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.1
	end
	
end)

function WeaponTweakData:_set_difficulty_1()
	self.ger_kar98_npc.spread = 12
	self.ger_luger_npc.spread = 5
	self.ger_mp38_npc.spread = 16
	self.ger_stg44_npc.spread = 8
	self.ger_geco_npc.spread = 1
	
	self.tiger_main_gun_module.HEALTH_INIT = 7000
	self.tiger_main_gun_module.SHIELD_HEALTH_INIT = 100
	self.tiger_main_gun_module.DAMAGE = 30
	self.tiger_machinegun_module.HEALTH_INIT = 7000
	self.tiger_machinegun_module.SHIELD_HEALTH_INIT = 100
	self.tiger_machinegun_module.DAMAGE = 2
end

function WeaponTweakData:_set_difficulty_2()
	self.ger_kar98_npc.spread = 8
	self.ger_luger_npc.spread = 5
	self.ger_mp38_npc.spread = 14
	self.ger_stg44_npc.spread = 8
	self.ger_geco_npc.spread = 1

	self.tiger_main_gun_module.HEALTH_INIT = 7000
	self.tiger_main_gun_module.SHIELD_HEALTH_INIT = 100
	self.tiger_main_gun_module.DAMAGE = 60
	self.tiger_machinegun_module.HEALTH_INIT = 7000
	self.tiger_machinegun_module.SHIELD_HEALTH_INIT = 100
	self.tiger_machinegun_module.DAMAGE = 4
end

function WeaponTweakData:_set_difficulty_3()
	self.ger_kar98_npc.spread = 5
	self.ger_luger_npc.spread = 5
	self.ger_mp38_npc.spread = 12
	self.ger_stg44_npc.spread = 8
	self.ger_geco_npc.spread = 1

	self.tiger_main_gun_module.HEALTH_INIT = 27500
	self.tiger_main_gun_module.SHIELD_HEALTH_INIT = 400
	self.tiger_main_gun_module.DAMAGE = 20
	self.tiger_machinegun_module.HEALTH_INIT = 27000
	self.tiger_machinegun_module.SHIELD_HEALTH_INIT = 400
	self.tiger_machinegun_module.DAMAGE = 1.5
end

function WeaponTweakData:_set_difficulty_4()
	self.ger_kar98_npc.spread = 3
	self.ger_luger_npc.spread = 3
	self.ger_mp38_npc.spread = 8
	self.ger_stg44_npc.spread = 5
	self.ger_geco_npc.spread = 1

	self.tiger_main_gun_module.HEALTH_INIT = 50000
	self.tiger_main_gun_module.SHIELD_HEALTH_INIT = 750
	self.tiger_main_gun_module.DAMAGE = 30
	self.tiger_machinegun_module.HEALTH_INIT = 50000
	self.tiger_machinegun_module.SHIELD_HEALTH_INIT = 750
	self.tiger_machinegun_module.DAMAGE = 2.5
end