function CopBase:default_weapon_name()
	local default_weapon_id = self._default_weapon_id
	local weap_ids = tweak_data.character.weap_ids
	local diff_index = tweak_data:difficulty_to_index(Global.game_settings.difficulty)
	
	local german_mp38 = Idstring("units/vanilla/weapons/wpn_npc_ger_mp38/wpn_npc_ger_mp38")
	local german_stg = Idstring("units/vanilla/weapons/wpn_npc_ger_stg44/wpn_npc_ger_stg44")

	local unit_name = self._unit:name()
	
	local og_commander = unit_name == Idstring("units/vanilla/characters/enemies/models/german_og_commander/german_og_commander") or unit_name == Idstring("units/vanilla/characters/enemies/models/german_og_commander/german_og_commander_husk") 
	local commander = unit_name == Idstring("units/vanilla/characters/enemies/models/german_commander/german_commander") or unit_name == Idstring("units/vanilla/characters/enemies/models/german_commander/german_commander_husk") 
	
	if commander and diff_index == TweakData.DIFFICULTY_3 and math.random(0,100) < 33 then 
		return german_mp38	
	elseif commander and diff_index == TweakData.DIFFICULTY_3 and math.random(0,100) < 15 then 
		return german_stg	
	elseif og_commander and diff_index == TweakData.DIFFICULTY_4 and math.random(0,100) < 33 then 
		return german_mp38	
	elseif og_commander and diff_index == TweakData.DIFFICULTY_4 and math.random(0,100) < 33 then 
		return german_stg
	else
		for i_weap_id, weap_id in ipairs(weap_ids) do
			if default_weapon_id == weap_id then
				return tweak_data.character.weap_unit_names[i_weap_id]
			end
		end
	end
end